#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	Framebuffer abstraction library
Summary(pl.UTF-8):	Biblioteka abstrakcji bufora ramki
Name:		libnsfb
Version:	0.2.2
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://download.netsurf-browser.org/libs/releases/%{name}-%{version}-src.tar.gz
# Source0-md5:	5c88a153d4330214460890c31bdf8b5d
Patch0:		%{name}-link.patch
URL:		http://www.netsurf-browser.org/projects/libnsfb/
BuildRequires:	SDL-devel
BuildRequires:	libvncserver-devel
BuildRequires:	libxcb-devel >= 1.3
BuildRequires:	netsurf-buildsystem >= 1.9
BuildRequires:	pkgconfig
BuildRequires:	wayland-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xcb-util-image-devel
BuildRequires:	xcb-util-keysyms-devel
BuildRequires:	xcb-util-wm-devel >= 0.3.8
Requires:	libxcb-devel >= 1.3
Requires:	xcb-util-wm-devel >= 0.3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibNSFB is a framebuffer abstraction library, written in C. It is
currently in development for use with NetSurf and is intended to be
suitable for use in other projects too.

The overall idea of the library is to provide a generic abstraction to
a linear section of memory which corresponds to a visible array of
pixel elements on a display device. Different colour depths are
supported and the library provides routines for tasks such as drawing
onto the framebuffer and rectangle copy operations.

LibNSFB currently supports the following as framebuffer providers:
- Linux framebuffer
- X
- SDL
- VNC
- ABLE framebuffer

%description
LibNSFB to napisana w C biblioteka abstrakcji bufora ramki. Obecnie
jest rozwijana pod kątem użycia w przeglądarce NetSurf, ale może być
także używana w innych projektach.

Ogólną ideą biblioteki jest zapewnienie ogólnej abstrakcji liniowego
obszaru pamięci, który odpowiada widocznej tablicy pikseli na
urządzeniu wyświetlającym. Obsługiwane są różne głębie koloru, a
biblioteka udostępnia takie operacje, jak rysowanie w buforze ramki
czy kopiowanie prostokątów.

LibNSFB obecnie obsługuje następujące bufory ramki:
- linuksowy framebuffer
- X
- SDL
- VNC
- framebuffer ABLE

%package devel
Summary:	libnsfb library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnsfb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel
Requires:	libvncserver-devel
Requires:	libxcb-devel >= 1.3
Requires:	wayland-devel
Requires:	xcb-util-devel
Requires:	xcb-util-image-devel
Requires:	xcb-util-keysyms-devel
Requires:	xcb-util-wm-devel >= 0.3.8

%description devel
This package contains the include files and other resources you can
use to incorporate libnsfb into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe pozwalające na używanie biblioteki libnsfb w swoich
programach.

%package static
Summary:	libnsfb static library
Summary(pl.UTF-8):	Statyczna biblioteka libnsfb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libnsfb library.

%description static -l pl.UTF-8
Statyczna biblioteka libnsfb.

%prep
%setup -q
%patch0 -p1

%build
export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-shared
%if %{with static_libs}
%{__make} \
	Q= \
	PREFIX=%{_prefix} \
	COMPONENT_TYPE=lib-static
%endif

%install
rm -rf $RPM_BUILD_ROOT

export AR="%{__ar}"
export CC="%{__cc}"
export CFLAGS="%{rpmcflags}"
export LDFLAGS="%{rpmldflags}"

%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-shared \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} install \
	Q= \
	PREFIX=%{_prefix} \
	LIBDIR=%{_lib} \
	COMPONENT_TYPE=lib-static \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnsfb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnsfb.so.0

%files devel
%defattr(644,root,root,755)
%doc usage
%attr(755,root,root) %{_libdir}/libnsfb.so
%{_includedir}/libnsfb*.h
%{_pkgconfigdir}/libnsfb.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnsfb.a
%endif
%changelog
* Mon Jun 01 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnsfb.git;a=log;h=master

* Sat May 30 2020 Witold Filipczyk <witekfl@poczta.onet.pl> 77ce675
- updated to 0.2.2

* Sat Nov 30 2019 Jakub Bogusz <qboosh@pld-linux.org> ab77843
- updated to 0.2.1

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 2598899
- updated to 0.2.0

* Mon Oct 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 24ad447
- updated to 0.1.6

* Sat Mar 11 2017 Jakub Bogusz <qboosh@pld-linux.org> ca7cf17
- release 2 (libvncserver rebuild)

* Mon Nov 21 2016 Witold Filipczyk <witekfl@poczta.onet.pl> ee196db
- updated to 0.1.5

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> a06d9e1
- unified install

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 9e01e6f
- updated to 0.1.4

* Mon Mar 16 2015 Witold Filipczyk <witekfl@poczta.onet.pl> ebd5b4e
- updated to 0.1.3

* Mon Dec 01 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7aeb520
- updated to 0.1.2

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> c54d352
- pl, complete dependencies

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 778d3e6
- lib.patch deleted

* Wed Apr 30 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 53d046a
- obsolete

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9f85d12
- up to 0.1.1
- commented the lib.patch

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 26f03ce
- fix lib64 systems install; verbose files; ghost soname symlink

* Sat Apr 27 2013 Elan Ruusamäe <glen@delfi.ee> 44f1a65
- pass our CC, fix bad copy paste

* Sat Apr 27 2013 witekfl <witekfl@poczta.onet.pl> a5a778e
- new
- added the link.patch

